#ifndef ADD_MATH_H
#define ADD_MATH_H

#define ALONG long

typedef struct D3DXVECTOR3 
{
	float x,y,z;

    BOOL operator == ( D3DXVECTOR3 & vector)
	{
		if( (vector.x == x) && (vector.y == y) && (vector.z == z) ) return true;
		else return false;
	}

    D3DXVECTOR3 operator * ( float val ) const
	{
		D3DXVECTOR3 result;

		result.x = x*val;
		result.y = y*val;
		result.z = z*val;
		return result;
	}

    D3DXVECTOR3 operator - ( D3DXVECTOR3 vector)
	{
		D3DXVECTOR3 result;

		result.x = x-vector.x;
		result.y = x-vector.y;
		result.z = x-vector.z;

		return result;
	}


}D3DXVECTOR3;
#endif
